﻿using System.Threading.Tasks;
using PXPlus.Payment.Domain.DomainServices.Interface;
using PXPlus.Payment.Domain.OrderAggregate;
using PXPlus.Payment.Domain.OrderAggregate.PayTools;

namespace PXPlus.Payment.IntegrationTest.MockServices
{
    public class ExecutePaymentMockDomainService : IExecutePaymentDomainService
    {
        public async Task<ExecutePaymentInfo> PaymentAsync(string pxTradeNo, decimal payAmount, IPayTool payTool,
            ReceiveStoreInfo storeInfo)
        {
            return new ExecutePaymentInfo
            {
                Code = "0000",
                IsSuccess = true,
                
            };
        }

        public async Task<ExecuteRefundInfo> RefundAsync(string pxOriTradeNo, string pxRefundTradeNo, decimal payAmount,
            PayerInfo payerInfo, ReceiveStoreInfo storeInfo)
        {
            return new ExecuteRefundInfo
            {
                Code = "0000",
                IsSuccess = true
            };
        }
    }
}