﻿using System;
using System.Threading.Tasks;
using PXPlus.Payment.Domain.DomainServices.Interface;

namespace PXPlus.Payment.IntegrationTest.MockServices
{
    public class PointMockDomainService :IPointDomainService
    {
        public Task<decimal> DeductedToNoneAsync(long payerId, decimal point, string orderNo,
            DateTime tradeTime)
        {
            return Task.FromResult(point);
        }

        public Task ReturnPointAsync(decimal point)
        {
            return Task.CompletedTask;
        }
    }
}