﻿using System;
using System.Collections.Generic;
using PXPlus.Payment.Application.Commands;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Application.Dto
{
    public class PaymentAppResponse : Response
    {
        public string PXTradeNo { get; set; }
        public decimal OrderAmount { get; set; }
        public decimal PayAmount { get; set; }
        public decimal DiscountPoint { get; set; }
        public PayToolType PayToolType { get; set; }
        public string PayToolName { get; set; }
        public string PayToolIdentity { get; set; }
        public IEnumerable<Activity> Activities { get; set; }
        public decimal NoneFeedbackAmount { get; set; }
        public decimal NoneDiscountAmount { get; set; }
        public DateTime TransactionTime { get; set; }
        public string PayerEpAccount { get; set; }
        public string StoreName { get; set; }
        public string StoreEpAccount { get; set; }
        public string MerchantName { get; set; }
        public long PayerId { get; set; }
    }
}