﻿using MediatR;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Domain.Events
{
    public class OrderPaymentFailedDomainEvent : INotification
    {
        public Order Order { get; private set; }

        public OrderPaymentFailedDomainEvent(Order order)
        {
            Order = order;
        }
    }
}