using MediatR;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Domain.Events
{
    public class OrderRefundFailedDomainEvent : INotification
    {
        public Order Order { get; set; }

        public OrderRefundFailedDomainEvent(Order order)
        {
            Order = order;
        }
    }
}