﻿using System.Threading.Tasks;
using PXPlus.Payment.Domain.SeedWork;

namespace PXPlus.Payment.Domain.OrderAggregate
{
    public interface IOrderRepository : IRepository<Order>
    {
        Task<Order> GetOrderByAsync(string orderNo);
        Task<Order> GetOrderByNoTrackingAsync(string orderNo);
        Task AddAsync(Order order);
        void UnChangeOrder(Order order);
    }
}