﻿namespace PXPlus.Payment.Domain.OrderAggregate
{
    public class OrderNo
    {
        public string Prefix { get; private set; }
        public string SerialNumber { get; private set; }

        public OrderNo(string prefix, string serialNumber)
        {
            Prefix = prefix;
            SerialNumber = serialNumber;
        }

        public string GetOrderNo()
            => Prefix + SerialNumber;

        private OrderNo()
        {
            
        }
    }
}