﻿using System.Threading.Tasks;
using PXPlus.Payment.Domain.SeedWork;

namespace PXPlus.Payment.Domain.OrderRecordAggregate
{
    public interface IOrderRecordRepository : IRepository<OrderRecord>
    {
        Task AddAsync(OrderRecord orderRecord);
        Task<OrderRecord> GetLastSuccessfulOrderRecordAsync(long paymentOrderId);
    }
}