﻿using System;

namespace PXPlus.Payment.Infrastructure.Idempotency
{
    public class ClientRequest
    {
        public long Id { get; set; }
        public string TradeNo { get; set; }
        public DateTime Time { get; set; }
        public string ResponseData { get; set; }
        public ClientRequestType ClientRequestType { get; set; }
    }

    public enum ClientRequestType
    {
        UnknownCommand,PaymentCommand,RefundCommand,OrderConfirmCommand,CancelPaymentWithPxTradeNoCommand  
    } 
}