using AutoMapper;
using PaymentService;
using PXPlus.Payment.Application;
using PXPlus.Payment.Application.Behaviors;
using PXPlus.Payment.Application.Commands;
using PXPlus.Payment.Application.Dto;

namespace PXPlus.Payment.Api.Infrastructure.AutomapperProfile
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<Response, PaymentGrpcResponse>();
            CreateMap<Response, RefundGrpcResponse>();
            CreateMap<Response, QueryGrpcResponse>();


            CreateMap<Response,PaymentAppResponse>();
            CreateMap<Response,RefundAppResponse>();
            CreateMap<Response,QueryAppResponse>();
        }
    }
}