﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace PXPlus.Payment.Api.Infrastructure.Migrations
{
    public partial class adjustOrderNo : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Orders_OrderNo",
                table: "Orders");

            migrationBuilder.DropColumn(
                name: "OrderNo",
                table: "Orders");

            migrationBuilder.AddColumn<string>(
                name: "OrderNoPrefix",
                table: "Orders",
                type: "char(2)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "OrderNoSerialNumber",
                table: "Orders",
                type: "char(20)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Orders_OrderNoSerialNumber",
                table: "Orders",
                column: "OrderNoSerialNumber",
                unique: true,
                filter: "[OrderNoSerialNumber] IS NOT NULL");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Orders_OrderNoSerialNumber",
                table: "Orders");

            migrationBuilder.DropColumn(
                name: "OrderNoPrefix",
                table: "Orders");

            migrationBuilder.DropColumn(
                name: "OrderNoSerialNumber",
                table: "Orders");

            migrationBuilder.AddColumn<string>(
                name: "OrderNo",
                table: "Orders",
                type: "varchar(25)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Orders_OrderNo",
                table: "Orders",
                column: "OrderNo",
                unique: true,
                filter: "[OrderNo] IS NOT NULL");
        }
    }
}
