﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace PXPlus.Payment.Api.Infrastructure.Migrations
{
    public partial class cashandpointback : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "CashBack",
                table: "Orders",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "PointBack",
                table: "Orders",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "CashBack",
                table: "OrderRecords",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "PointBack",
                table: "OrderRecords",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: false,
                defaultValue: 0m);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CashBack",
                table: "Orders");

            migrationBuilder.DropColumn(
                name: "PointBack",
                table: "Orders");

            migrationBuilder.DropColumn(
                name: "CashBack",
                table: "OrderRecords");

            migrationBuilder.DropColumn(
                name: "PointBack",
                table: "OrderRecords");
        }
    }
}
