﻿using MediatR;
using PXPlus.Payment.Application.Dto;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Application.Commands
{
    public class OrderPaymentCommand : IRequest<PaymentAppResponse>
    {
        public Order Order { get; private set; }

        public OrderPaymentCommand(Order order)
        {
            Order = order;
        }
    }
}