using System.Collections.Generic;
using System.Threading.Tasks;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Domain.DomainServices.Interface
{
    public interface IActivityDomainService
    {
        Task<IEnumerable<ActivityFeedbackInfo>> CalculateActivitiesFeedbackAsync(long payerId);
        Task<IEnumerable<ActivityCashDiscountInfo>> CalculateActivitiesCashDiscountAsync(
            IEnumerable<ActivityCashDiscountInfo> discountInfos);
    }
}