﻿using System.Collections.Generic;
using PXPlus.Enum.Authorization;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Domain.Factories.Interface
{
    public interface IOrderFactory
    {
        Order CreateInitialOrder(PayerInfo payerInfo, bool isUsePoint, decimal orderAmount,
            decimal pointDiscountPercent,
            decimal noneDiscountAmount,
            decimal noneFeedbackAmount,
            ReceiveStoreInfo receiveStoreInfo,
            PlatformType platformType,
            List<ActivityCashDiscountInfo> activityCashDiscountInfos,
            MetaData inputMetaData);
        
    }
}