using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using PXPlus.Payment.Domain.DomainServices;
using PXPlus.Payment.Domain.DomainServices.Interface;
using PXPlus.Payment.Domain.OrderAggregate;

namespace PXPlus.Payment.Infrastructure.DomainServiceGrpc
{
    public class ActivityEmptyDomainService : IActivityDomainService
    {
        public Task<IEnumerable<ActivityFeedbackInfo>> CalculateActivitiesFeedbackAsync(long payerId)
        {
            return Task.FromResult(new List<ActivityFeedbackInfo>().AsEnumerable());
        }

        public Task<IEnumerable<ActivityCashDiscountInfo>> CalculateActivitiesCashDiscountAsync(
            IEnumerable<ActivityCashDiscountInfo> discountInfos)
        {
            return Task.FromResult(new List<ActivityCashDiscountInfo>().AsEnumerable());
        }
    }
}