// using System.Collections.Generic;
// using System.Linq;
// using PXPlus.Payment.Domain.DomainServices.Interface;
// using PXPlus.Payment.Domain.Factories.Interface;
// using PXPlus.Payment.Domain.OrderAggregate;
// using PXPlus.Payment.Infrastructure.DomainServiceGrpc;
// using PXPlus.Payment.Infrastructure.DomainServiceGrpc.ExecutePaymentDomainServices;
//
// namespace PXPlus.Payment.Infrastructure.Factories
// {
//     public class ExecutePaymentMockDomainServiceFactory : IExecutePaymentDomainServiceFactory
//     {
//         private readonly IEnumerable<IExecutePaymentDomainService> _executePaymentDomainServices;
//
//         public ExecutePaymentMockDomainServiceFactory(
//             IEnumerable<IExecutePaymentDomainService> executePaymentDomainServices)
//         {
//             _executePaymentDomainServices = executePaymentDomainServices;
//         }
//         public IExecutePaymentDomainService Build(PayToolType payToolType)
//         {
//             if (payToolType == PayToolType.AccountLink)
//                 return _executePaymentDomainServices.First(c =>
//                     c.GetType() == typeof(ExecuteAcLinkPaymentGrpcDomainService));
//
//
//             if (payToolType == PayToolType.EPAccount)
//                 return _executePaymentDomainServices.First(c =>
//                     c.GetType() == typeof(ExecuteEpAccountPaymentGrpcDomainService));
//             
//             if (payToolType == PayToolType.CreditCard)
//                 return _executePaymentDomainServices.First(c =>
//                     c.GetType() == typeof(ExecuteCreditCardPaymentGrpcDomainService));
//
//             return _executePaymentDomainServices.FirstOrDefault(c =>
//                 c.GetType() == typeof(ExecutePaymentMockDomainService));
//         }
//     }
// }