﻿using System.Threading.Tasks;

namespace PXPlus.Payment.Infrastructure.Idempotency
{
    public interface IRequestManager
    {
        Task<bool> ExistAsync(string tradeNo);
        Task<ClientRequest> CreateRequestAsync(string tradeNo, ClientRequestType clientRequestType);
        Task<bool> RemoveRequestAsync(string tradeNo);
        Task<bool> UpdateRequestOrderRecordNoAsync(ClientRequest request, string responseData);
        Task<ClientRequest> GetAsync(string tradeNo);
    }
}