﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace PXPlus.Payment.Api.Infrastructure.Migrations
{
    public partial class requestRefactor : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_requests",
                table: "requests");

            migrationBuilder.AlterColumn<string>(
                name: "TradeNo",
                table: "requests",
                type: "varchar(60)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(450)");

            migrationBuilder.AddColumn<long>(
                name: "Id",
                table: "requests",
                type: "bigint",
                nullable: false,
                defaultValue: 0L)
                .Annotation("SqlServer:Identity", "1, 1");

            migrationBuilder.AddPrimaryKey(
                name: "PK_requests",
                table: "requests",
                column: "Id");

            migrationBuilder.CreateIndex(
                name: "IX_requests_TradeNo",
                table: "requests",
                column: "TradeNo");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_requests",
                table: "requests");

            migrationBuilder.DropIndex(
                name: "IX_requests_TradeNo",
                table: "requests");

            migrationBuilder.DropColumn(
                name: "Id",
                table: "requests");

            migrationBuilder.AlterColumn<string>(
                name: "TradeNo",
                table: "requests",
                type: "nvarchar(450)",
                nullable: false,
                defaultValue: "",
                oldClrType: typeof(string),
                oldType: "varchar(60)",
                oldNullable: true);

            migrationBuilder.AddPrimaryKey(
                name: "PK_requests",
                table: "requests",
                column: "TradeNo");
        }
    }
}
