﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace PXPlus.Payment.Api.Infrastructure.Migrations
{
    public partial class requestTradeNoAddUnique : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_requests_TradeNo",
                table: "requests");

            migrationBuilder.CreateIndex(
                name: "IX_requests_TradeNo",
                table: "requests",
                column: "TradeNo",
                unique: true,
                filter: "[TradeNo] IS NOT NULL");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_requests_TradeNo",
                table: "requests");

            migrationBuilder.CreateIndex(
                name: "IX_requests_TradeNo",
                table: "requests",
                column: "TradeNo");
        }
    }
}
